Skip to main content
POST
Move task

Authorizations

Authorization
string
header
required

The relay key, RELAY_KEY: Authorization: Bearer .

Path Parameters

channel
string
required

The channel, such as office: 1 to 64 letters, numbers, dashes or underscores.

Pattern: ^[\w-]{1,64}$
id
string
required

The task's id.

Pattern: ^[0-9a-f]{6}$

Body

application/json
to
enum<string>
required
Available options:
building,
in_review,
changes_requested,
waiting_on_you,
done
note
string
pr
string

Response

Done.

ok
any
required
task
object
required

A session's token gets only id, state, title, branch and pr.